Host V Storage Object Manager Host Create Disk Task

Host V Storage Object Manager Host Create Disk Task
Create a virtual disk, which is a storage object with *disk* as consumption type.

Create a virtual disk, which is a storage object with disk as consumption type.

Requires Datastore.FileManagement privilege on the datastore where the virtual disk object is created.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HostVStorageObjectManager/{moId}/HostCreateDisk_Task
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostVStorageObjectManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
HostCreateDiskRequestType of type(s) application/json
Required

Show optional properties

{
    "spec": {}
}
{
    "spec": {
        "_typeName": "string",
        "id": {
            "_typeName": "string",
            "id": "string"
        },
        "name": "string",
        "keepAfterDeleteVm": false,
        "backingSpec": {
            "_typeName": "string",
            "datastore": {
                "_typeName": "string",
                "type": "string",
                "value": "string"
            },
            "path": "string"
        },
        "capacityInMB": 0,
        "profile": [
            {
                "_typeName": "string"
            }
        ],
        "crypto": {
            "_typeName": "string"
        },
        "metadata": [
            {
                "_typeName": "string",
                "key": "string",
                "value": "string"
            }
        ]
    }
}
spec
Required

The specification of the virtual storage object to be created. 2

Authentication
This operation uses the following authentication methods.
Responses
200

This method returns a Task object with which to monitor the operation. The info.result property in the Task contains the newly created VStorageObject upon success.

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

500

FileFault: If an error occurs when creating the virtual disk.

InvalidDatastore: If the operation cannot be performed on the datastore.

Returns VimFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"spec":"{}"}' https://{api_host}/sdk/vim25/{release}/HostVStorageObjectManager/{moId}/HostCreateDisk_Task
                
Virtual Infrastructure Operations
POST
Host V Storage Object Manager Host V Storage Object Revert Task
POST
Host V Storage Object Manager Host Clear V Storage Object Control Flags
POST
Host V Storage Object Manager Host Clone V Storage Object Task
POST
Host V Storage Object Manager Host Create Disk Task
POST
Host V Storage Object Manager Host V Storage Object Create Disk From Snapshot Task
POST
Host V Storage Object Manager Host V Storage Object Create Snapshot Task
POST
Host V Storage Object Manager V Storage Object Create Snapshot Ex Task
POST
Host V Storage Object Manager Host V Storage Object Delete Snapshot Task
POST
Host V Storage Object Manager V Storage Object Delete Snapshot Ex Task
POST
Host V Storage Object Manager V Storage Object Delete Snapshot Ex2 Task
POST
Host V Storage Object Manager Host Delete V Storage Object Task
POST
Host V Storage Object Manager Host Delete V Storage Object Ex Task
POST
Host V Storage Object Manager Host Extend Disk Task
POST
Host V Storage Object Manager V Storage Object Extend Disk Ex Task
POST
Host V Storage Object Manager Host Inflate Disk Task
POST
Host V Storage Object Manager Host List V Storage Object
POST
Host V Storage Object Manager Host Query Virtual Disk Uuid
POST
Host V Storage Object Manager Host Reconcile Datastore Inventory Task
POST
Host V Storage Object Manager Host Register Disk
POST
Host V Storage Object Manager Host Relocate V Storage Object Task
POST
Host V Storage Object Manager Host Rename V Storage Object
POST
Host V Storage Object Manager Rename V Storage Object Ex
POST
Host V Storage Object Manager Repair V Storage Object Chain Task
POST
Host V Storage Object Manager Host V Storage Object Retrieve Snapshot Info
POST
Host V Storage Object Manager Host Retrieve V Storage Infrastructure Object Policy
POST
Host V Storage Object Manager Host Retrieve V Storage Object
POST
Host V Storage Object Manager Host Retrieve V Storage Object Metadata
POST
Host V Storage Object Manager Host Retrieve V Storage Object Metadata Value
POST
Host V Storage Object Manager Host Retrieve V Storage Object State
POST
Host V Storage Object Manager Revert V Storage Object Ex Task
POST
Host V Storage Object Manager Host Schedule Reconcile Datastore Inventory
POST
Host V Storage Object Manager Host Set V Storage Object Control Flags
POST
Host V Storage Object Manager Host Set Virtual Disk Uuid Task
POST
Host V Storage Object Manager Unregister Disk Task
POST
Host V Storage Object Manager Host Update V Storage Object Metadata Task
POST
Host V Storage Object Manager Host Update V Storage Object Metadata Ex Task